SERPORT(9)

NAME

serport - Hardware driver for the digital I/O bits of the 8250 and 16550 serial port.

SYNOPSIS

loadrt serport io=addr[,addr...]

The pin numbers refer to the 9-pin serial pinout. Keep in mind that these ports generally use rs232 voltages, not 0/5V signals.

Specify the I/O address of the serial ports using the module parameter io=addr[,addr...]. These ports must not be in use by the kernel. To free up the I/O ports after bootup, install setserial and execute a command like:
    sudo setserial /dev/ttyS0 uart none
but it is best to ensure that the serial port is never used or configured by the Linux kernel by setting a kernel commandline parameter or not loading the serial kernel module if it is a modularized driver.

FUNCTIONS

serport.N.read

serport.N.write

PINS

serport.N.pin-1-in bit out
    Also called DCD (data carrier detect); pin 8 on the 25-pin serial pinout

serport.N.pin-6-in bit out
    Also called DSR (data set ready); pin 6 on the 25-pin serial pinout

serport.N.pin-8-in bit out
    Also called CTS (clear to send); pin 5 on the 25-pin serial pinout

serport.N.pin-9-in bit out
    Also called RI (ring indicator); pin 22 on the 25-pin serial pinout

serport.N.pin-1-in-not bit out
    Inverted version of pin-1-in

serport.N.pin-6-in-not bit out
    Inverted version of pin-6-in

serport.N.pin-8-in-not bit out
    Inverted version of pin-8-in

serport.N.pin-9-in-not bit out
    Inverted version of pin-9-in

serport.N.pin-3-out bit in
    Also called TX (transmit data); pin 2 on the 25-pin serial pinout

serport.N.pin-4-out bit in
    Also called DTR (data terminal ready); pin 20 on the 25-pin serial pinout

serport.N.pin-7-out bit in
    Also called RTS (request to send); pin 4 on the 25-pin serial pinout

PARAMETERS

serport.N.pin-3-out-invert bit rw

serport.N.pin-4-out-invert bit rw

serport.N.pin-7-out-invert bit rw

serport.N.ioaddr u32 r

LICENSE

GPL